body {
    color: #ececec;
    font-family: sans-serif;
    text-shadow: 1px 1px #000000;
    overflow-y: hidden;
    height: 100%;
    font-size: x-large;
    margin: 0;
    padding: 0;
}

li {
    display: inline-block;
    margin: auto 10px;
    list-style-type: none;
}

.navbar ul {
    text-align: right;
}

.head-links-wrapper {
    display: flex;
    justify-content: center;
}

.head-links {
    margin: 20px 50px;
    width: inherit;
    display: flex;
    align-items: center;
    flex-direction: column;
    cursor: pointer;
}

.head-links:hover {
    transform: scale(1.05);
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 0.4s;
}

.head-links img {
    height: 250px;
    width: 400px;
    margin-top: 25px;
    border: 1px solid #efefef;
    border-radius: 5px;
}

.home .head-links a,
.home .head-links span {
    text-decoration: underline;
}

.clock-wrapper {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    font-family: "Ubuntu Mono", monospace;
    position: relative;
}

.session-container button,
.break-container button,
.home button {
    background-color: #151d3b;
    border: none;
    margin: 10px;
}

i {
    cursor: pointer;
    font-size: 45px;
}

.timer-dec,
.timer-inc {
    color: #ffffff;
}

.timer-dec:disabled,
.timer-inc:disabled {
    opacity: 0.5;
}

.session-container,
.break-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

p {
    font-size: 32px;
    font-weight: 700;
}

.timer-wrapper {
    border-radius: 10px;
    padding: 15px 125px;
}

i {
    font-size: 45px;
}

.session-container,
.break-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

p {
    font-size: 32px;
    font-weight: 700;
}

.timer-wrapper {
    padding: 15px 125px;
}

.timer-container {
    background-color: #ffffff;
    color: #151d3b;
    text-shadow: none;
    height: 100%;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    font-size: 37px;
    position: relative;
}

.set-timer {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: #151d3b;
    height: 100%;
    position: relative;
    justify-content: center;
}

.first-heading {
    font-size: 60px;
    position: absolute;
    right: 30px;
    top: 10px;
}

.second-heading {
    font-size: 60px;
    position: absolute;
    left: 30px;
    top: 10px;
}

.responsive-heading {
    visibility: hidden;
}

.timer-length {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-bottom: 60px;
}

.home {
    background-color: #1d2a53;
    color: #ececec;
    height: 100vh;
    text-align: center;
}

.home .header {
    font-size: 64px;
}

ul {
    margin: 0;
    text-align: right;
    margin-right: 25px;
}

.home a,
.navbar a {
    color: #ececec;
    text-decoration: none;
}

.home button {
    background-color: #1d2a53;
    padding: 10px;
    font-size: 24px;
}

.home h1 {
    margin-top: 150px;
}

.navbar {
    background-color: #151d3b;
    padding: 30px;
    height: 1%;
    line-height: 0.5;
}

.login,
.register {
    background-color: #1d2a53;
    height: 100vh;
}

.login-wrapper,
.register-wrapper {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow-y: hidden;
}

.login-container,
.register-container {
    padding: 75px 150px;
    background-color: #101422;
    border-radius: 10px;
    text-align: center;
}

.login-container h1,
.register-container h1 {
    margin-top: 0;
}

.login-container [type="text"],
.login-container [type="password"] {
    font-size: 18px;
    margin-bottom: 30px;
    padding: 5px 10px;
    border: none;
    background-color: #1d2a53;
    color: #ececec;
}

.register-container [type="text"],
.register-container [type="password"] {
    font-size: 18px;
    padding: 5px 10px;
    border: none;
    background-color: #1d2a53;
    color: #ececec;
}

.login-container [type="submit"],
.register-container [type="submit"] {
    font-size: 18px;
    width: 100%;
    cursor: pointer;
    background-color: #151d3b;
    border: none;
    color: #ececec;
    padding: 10px;
}

.login-container [type="submit"]:hover,
.register-container [type="submit"]:hover {
    box-shadow: 0px 0px 10px 2px #3665d3;
}

.register-container p {
    padding: 0;
    width: 200px;
    font-size: 12px;
    margin-bottom: 30px;
}

::placeholder {
    opacity: 0.9;
}

.pass-text {
    margin-top: 50px;
    padding: 0;
    text-align: left;
    opacity: 0.7;
}

.timer-btn {
    display: flex;
    position: absolute;
    top: 62px;
    right: 20px;
    justify-content: center;
    align-items: center;
}

.timer-btn button {
    padding: 10px 30px;
    background-color: #1d2a53;
    border: none;
    border-radius: 5px;
    color: #ececec;
    cursor: pointer;
    font-size: 24px;
    margin: 0 10px;
}

.timer-btn button:hover {
    background-color: #101422;
}

.not-found {
    height: 100%;
}

.not-found-wrapper {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 768px) {
    .navbar ul {
        margin: 0;
        text-align: center;
    }

    .home a {
        font-size: 20px;
    }

    .home .header {
        font-size: 40px;
    }

    .clock-wrapper {
        flex-direction: column;
    }

    .set-timer {
        width: 100%;
    }

    .timer-container {
        width: 100%;
    }

    .responsive-heading {
        visibility: visible;
    }

    .first-heading {
        visibility: hidden;
    }

    .second-heading {
        visibility: hidden;
    }

    .timer-btn {
        top: 35px;
    }

    .timer-btn button {
        background-color: #ffffff;
        color: #151d3b;
    }

    .timer-btn button:hover {
        background-color: #ececec;
    }
}

@media screen and (max-width: 576px) {
    .navbar ul {
        margin: 0;
        text-align: center;
    }

    .navbar li {
        margin: 0 5px;
    }

    .navbar a {
        font-size: 16px;
    }
}
